<?php
/**
 * Created by PhpStorm.
 * User: Imac
 * Date: 15/01/2019
 * Time: 12:07
 */

namespace Actigraph\ActipageBaseBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;


/**
 * TitreFormule
 *
 * @ORM\Table(name="titre_formule")
 * @ORM\Entity
 *
 */
class TitreFormule
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_type_voyageur", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idTypeVoyageur;



    /**
     * @var integer
     *
     * @ORM\Column(name="id_type_deplacement", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idTypeDeplacement;

    /**
     * @var integer
     *
     * @ORM\Column(name="id_titre", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idTitre;

    /**
     * @return int
     */
    public function getIdTypeVoyageur()
    {
        return $this->idTypeVoyageur;
    }

    /**
     * @param int $idTypeVoyageur
     */
    public function setIdTypeVoyageur($idTypeVoyageur)
    {
        $this->idTypeVoyageur = $idTypeVoyageur;
    }

    /**
     * @return int
     */
    public function getIdTypeDeplacement()
    {
        return $this->idTypeDeplacement;
    }

    /**
     * @param int $idTypeDeplacement
     */
    public function setIdTypeDeplacement($idTypeDeplacement)
    {
        $this->idTypeDeplacement = $idTypeDeplacement;
    }

    /**
     * @return int
     */
    public function getIdTitre()
    {
        return $this->idTitre;
    }

    /**
     * @param int $idTitre
     */
    public function setIdTitre($idTitre)
    {
        $this->idTitre = $idTitre;
    }


}